Bug 1265145 - SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp_socket port 8021.
SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c8b9c00ea39839e5f072928d2ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 04:31 EDT by bingyu liu
Modified: 2015-10-12 07:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 07:25:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bingyu liu 2015-09-22 04:31:54 EDT
Description of problem:
SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp_socket port 8021.

*****  Plugin mozplugger (89.7 confidence) suggests   ************************

If 您要使用 plugin 软件包
Then 您必须关闭 SELinux 对于 FIrefox 插件的控制。
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall_boolean (10.0 confidence) suggests   ******************

If 您要 allow mozilla to plugin can network connect
Then 您必须启用 'mozilla_plugin_can_network_connect' 布尔值告知 SELinux 此情况。
您可以阅读 'None' 手册页面来了解详情。
Do
setsebool -P mozilla_plugin_can_network_connect 1

*****  Plugin catchall (1.69 confidence) suggests   **************************

If 您确定应默认允许 plugin-containe name_connect 访问 port 8021 tcp_socket。
Then 您应该将这个情况作为 bug 报告。
您可以生成本地策略模块允许这个访问。
Do
请执行以下命令此时允许这个访问:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:zope_port_t:s0
Target Objects                port 8021 [ tcp_socket ]
Source                        plugin-containe
Source Path                   plugin-containe
Port                          8021
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.13.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-201.fc22.x86_64+debug #1 SMP
                              Fri Sep 4 17:35:10 UTC 2015 x86_64 x86_64
Alert Count                   3
First Seen                    2015-09-17 19:01:15 CST
Last Seen                     2015-09-22 16:22:20 CST
Local ID                      690d7786-88ff-41b9-a394-4df2d986c4df

Raw Audit Messages
type=AVC msg=audit(1442910140.135:561): avc:  denied  { name_connect } for  pid=6587 comm="plugin-containe" dest=8021 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:zope_port_t:s0 tclass=tcp_socket permissive=0


Hash: plugin-containe,mozilla_plugin_t,zope_port_t,tcp_socket,name_connect

Version-Release number of selected component:
selinux-policy-3.13.1-128.13.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-201.fc22.x86_64+debug
type:           libreport
Comment 1 Miroslav Grepl 2015-10-12 07:25:49 EDT
*****  Plugin mozplugger (89.7 confidence) suggests   ************************

If 您要使用 plugin 软件包
Then 您必须关闭 SELinux 对于 FIrefox 插件的控制。
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

Note You need to log in before you can comment on or make changes to this bug.